Skip to main content
GET
/
v2
/
search
/
performer
Search performer events
curl --request GET \
  --url https://www.wander-service.fr/api/clients/v2/search/performer \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://www.wander-service.fr/api/clients/v2/search/performer"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://www.wander-service.fr/api/clients/v2/search/performer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "name": "<string>",
  "image": "<string>",
  "squareImage": "<string>",
  "rectangleImage": "<string>",
  "webImage": "<string>",
  "events": [
    {
      "id": 123,
      "wanderId": 123,
      "wanderLink": "<string>",
      "name": "<string>",
      "startDate": "<string>",
      "endDate": "<string>",
      "hasEndDateNotReliable": true,
      "lowestPrice": 123,
      "highestPrice": 123,
      "description": "<string>",
      "hasGoodDeal": true,
      "image": "<string>",
      "imageHeight": 123,
      "imageWidth": 123,
      "squareImage": "<string>",
      "rectangleImage": "<string>",
      "webImage": "<string>",
      "notAvailableAt": "<string>",
      "cancelledAt": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "googlePlace": {
        "id": "<string>",
        "name": "<string>",
        "address": "<string>",
        "lng": 123,
        "lat": 123,
        "averageGrade": 123,
        "totalGrades": 123,
        "street": "<string>",
        "city": "<string>",
        "postalCode": "<string>",
        "country": "<string>",
        "photoRef": "<string>",
        "website": "<string>",
        "editorialSummary": "<string>",
        "periods": [
          {
            "open": {
              "day": 123,
              "time": "<string>"
            },
            "close": {
              "day": 123,
              "time": "<string>"
            }
          }
        ]
      },
      "place": {
        "id": 123,
        "googleId": "<string>",
        "name": "<string>",
        "address": {
          "lng": 123,
          "lat": 123,
          "street": "<string>",
          "city": "<string>",
          "postalCode": "<string>",
          "country": "<string>"
        },
        "image": "<string>",
        "squareImage": "<string>",
        "rectangleImage": "<string>",
        "averageGrade": 123,
        "totalGrades": 123
      },
      "sources": [
        {
          "id": 123,
          "partner": {
            "name": "<string>",
            "logo": "<string>",
            "backColor": "<string>"
          },
          "startDate": "<string>",
          "endDate": "<string>",
          "lowestPrice": 123,
          "highestPrice": 123,
          "isGoodDeal": true,
          "commissionFix": 123,
          "commissionPerTicket": 123,
          "commissionPerCart": 123,
          "commissionRate": 123,
          "link": "<string>",
          "isBookable": true,
          "availableDates": [
            {
              "startDate": "<string>",
              "endDate": "<string>",
              "hasEndDateNotReliable": true,
              "hasUnknownAvailability": true
            }
          ],
          "averageGrade": 123,
          "totalGrades": 123,
          "cantRetrieveAvailableDates": true,
          "notAvailableAt": "<string>"
        }
      ],
      "categories": [
        {
          "id": 123,
          "mainCategory": "<string>",
          "subCategory": "<string>",
          "traductionFR": "<string>",
          "traductionEN": "<string>",
          "icon": "<string>"
        }
      ],
      "commentaries": [
        {
          "grade": 123,
          "content": "<string>",
          "username": "<string>",
          "date": "<string>"
        }
      ],
      "averageGrade": 123,
      "totalGrades": 123,
      "trendingScore": 123,
      "performers": [
        {
          "id": 123,
          "name": "<string>",
          "description": "<string>",
          "image": "<string>",
          "webImage": "<string>"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

It is the "access_token" returned after login

Query Parameters

input
string
required

Response

object | null

Successful operation

Performer object

id
integer<int64>
Example:

300000

name
string
Example:

"PLK"

image
string | null
squareImage
string | null
rectangleImage
string | null
webImage
string | null
events
object[]